/*-- extrawhere opgeven bij u_shipment scherm --*/
DEFINE BUFFER b-sp-model-3-object FOR sp-model-3-object.
DEFINE BUFFER b-sp-crossref       FOR sp-crossref.
   
/*-- slechts eenmaal uitvoeren --*/
IF CAN-FIND(FIRST sp-control WHERE 
                  sp-control.controlkode EQ 'ca-patch-04-update-extrawhere'
               OR sp-control.controlkode EQ 'ca-after-04-update-extrawhere' )
THEN RETURN.
   
DO TRANSACTION:
   FIND b-sp-model-3-object WHERE TRUE 
    AND b-sp-model-3-object.applicatiekode = 'CA'
    AND b-sp-model-3-object.modelkode      = 'U_SHIPMENT'
    AND b-sp-model-3-object.objectkode     = 's-shipment_tariff'
    EXCLUSIVE-LOCK NO-ERROR.
    IF NOT AVAILABLE b-sp-model-3-object
    THEN CREATE b-sp-model-3-object.
    ASSIGN 
   	b-sp-model-3-object.applicatiekode  = 'CA'
   	b-sp-model-3-object.modelkode       = 'U_SHIPMENT'
   	b-sp-model-3-object.pagenr          = 5
   	b-sp-model-3-object.objectname      = 'CA/object/s-ca-u_shipment_item_tariff.w'
   	b-sp-model-3-object.objectrow       = 0
   	b-sp-model-3-object.objectcolumn    = 0
   	b-sp-model-3-object.objectkode      = 's-shipment_tariff'
   	b-sp-model-3-object.height          = 0
   	b-sp-model-3-object.width           = 0
   	b-sp-model-3-object.attributestring = 'spExtraWhere' + CHR(4) + 'ca-u_shipment_item_tariff.general EQ YES' + CHR(3) + 'spObjectName' + CHR(4) + '' + CHR(3) + 'AppService' + CHR(4) + '' + CHR(3) + 'ASUsePrompt' + CHR(4) + 'no' + CHR(3) + 'ASInfo' + CHR(4) + '' + CHR(3) + 'ForeignFields' + CHR(4) + 'ca-u_shipment_item_tariff.companycode,companycode,ca-u_shipment_item_tariff.shipment_seqnr,shipment_seqnr' + CHR(3) + 'RowsToBatch' + CHR(4) + '200' + CHR(3) + 'CheckCurrentChanged' + CHR(4) + 'yes' + CHR(3) + 'RebuildOnRepos' + CHR(4) + 'no' + CHR(3) + 'ServerOperatingMode' + CHR(4) + 'NONE' + CHR(3) + 'DestroyStateless' + CHR(4) + 'no' + CHR(3) + 'DisconnectAppServer' + CHR(4) + 'no' + CHR(3) + 'ObjectName' + CHR(4) + 's-ca-u_shipment_item_tariff'
   	b-sp-model-3-object.overrule        = no
   	b-sp-model-3-object.parameterflag   = no
   	b-sp-model-3-object.external        = no
   	b-sp-model-3-object.ind_dynamic     = no
   	.
   /*-- corrupte xref aanpassen --*/
   FIND b-sp-crossref WHERE TRUE 
    AND b-sp-crossref.tabel    = 'ca-i_shipment_item_tariff'
    AND b-sp-crossref.veldnaam = 'item_seqnr'
    AND b-sp-crossref.volgnr   = 1
    EXCLUSIVE-LOCK NO-ERROR.
    IF NOT AVAILABLE b-sp-crossref
    THEN CREATE b-sp-crossref.
    ASSIGN 
   	b-sp-crossref.tabel         = 'ca-i_shipment_item_tariff'
   	b-sp-crossref.veldnaam      = 'item_seqnr'
   	b-sp-crossref.rel_tabel     = 'ca-i_shipment_item'
   	b-sp-crossref.rel_veld      = 'shipment_seqnr'
   	b-sp-crossref.volgnr        = 1
   	b-sp-crossref.van_veld      = 'shipment_seqnr'
   	b-sp-crossref.delete-policy = 'Restrict'
   	.
   
   /*-- registreren voor toekomstige runs --*/
   CREATE sp-control.
   ASSIGN sp-control.controlkode = 'ca-patch-04-update-extrawhere'
          sp-control.lijst       = 'uitgevoerd op ' + STRING(TODAY,'99-99-9999') + ' ' + STRING(TIME,'HH:MM:SS')
          sp-control.uitleg      = 'extrawhere clausule bijwerken'.
END. /*transaction*/
