/*-- 
 in 9.1 & 9.2 zit een corrupte xref in ca-i_shipment_item_tariff op item_seqnr
 3e regel is teveel en moet worden verwijderd
 JSC 27jan2010
--*/

/*-- omdat er een cascade delete zit op zichzelf, triggers disablen --*/
DISABLE TRIGGERS FOR LOAD OF sp-crossref.

DO TRANSACTION ON ERROR UNDO, RETURN ERROR:
   /*-- finding the bad one --*/
   FIND FIRST sp-crossref WHERE 
              sp-crossref.tabel    EQ 'ca-i_shipment_item_tariff'
          AND sp-crossref.veldnaam EQ 'item_seqnr'
          AND sp-crossref.volgnr   EQ 3
              EXCLUSIVE-LOCK NO-ERROR. 
              
   /*-- kan immers al eens zijn uitgevoerd --*/
   IF AVAILABLE sp-crossref 
   THEN DELETE sp-crossref.
   
   /*-- finding the bad one --*/
   FIND FIRST sp-crossref WHERE 
              sp-crossref.tabel    EQ 'ca-u_shipment_item_tariff'
          AND sp-crossref.veldnaam EQ 'item_seqnr'
          AND sp-crossref.volgnr   EQ 3
              EXCLUSIVE-LOCK NO-ERROR. 
              
   /*-- kan immers al eens zijn uitgevoerd --*/
   IF AVAILABLE sp-crossref 
   THEN DELETE sp-crossref.       
                             
   FIND FIRST sp-crossref WHERE 
              sp-crossref.tabel    EQ 'ca-quotation_item'
          AND sp-crossref.veldnaam EQ 'servicecode'
          AND sp-crossref.rel_veld EQ 'companycode'
          AND sp-crossref.volgnr   EQ 1
              EXCLUSIVE-LOCK NO-ERROR. 
   IF AVAILABLE sp-crossref 
   THEN ASSIGN sp-crossref.rel_veld = 'servicecode'. /*was companycode*/

   FIND FIRST sp-crossref WHERE
              sp-crossref.tabel    EQ 'ca-u_bookingagent'
          AND sp-crossref.veldnaam EQ 'linecode'
          AND sp-crossref.rel_veld EQ 'companycode'
          AND sp-crossref.volgnr   EQ 1
              EXCLUSIVE-LOCK NO-ERROR.
   IF AVAILABLE sp-crossref 
   THEN ASSIGN sp-crossref.rel_veld  = 'linecode'. /*was companycode*/
               
   FIND FIRST sp-crossref WHERE
              sp-crossref.tabel    EQ 'ca-u_shipment_item_tariff'
          AND sp-crossref.veldnaam EQ 'place_of_payment'
          AND sp-crossref.rel_veld EQ 'companycode'
          AND sp-crossref.volgnr   EQ 1
              EXCLUSIVE-LOCK NO-ERROR.
   IF AVAILABLE sp-crossref 
   THEN ASSIGN sp-crossref.rel_veld  = 'place_of_payment'. /*was companycode*/            
END. /*transaction*/
